> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/publications/{publication_id}/confirm
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/publications/{publication_id}/confirm:
    post:
      tags:
        - Brand Publications
        - Brand Publications
      summary: Confirm
      operationId: >-
        confirm_api_v1_brands__brand_id__publications__publication_id__confirm_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: publication_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Publication Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicationConfirmRequest'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PublicationConfirmRequest:
      properties:
        client_request_id:
          type: string
          format: uuid
          title: Client Request Id
        payload_hash:
          type: string
          maxLength: 64
          minLength: 64
          pattern: ^[a-f0-9]{64}$
          title: Payload Hash
        confirmed:
          type: boolean
          const: true
          title: Confirmed
      additionalProperties: false
      type: object
      required:
        - client_request_id
        - payload_hash
        - confirmed
      title: PublicationConfirmRequest
    PublicationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        creative_id:
          type: string
          format: uuid
          title: Creative Id
        variant_index:
          type: integer
          title: Variant Index
        action:
          type: string
          enum:
            - social_publish
            - meta_creative_save
          title: Action
        platform:
          type: string
          enum:
            - facebook
            - instagram
          title: Platform
        status:
          type: string
          enum:
            - preflight
            - queued
            - processing
            - succeeded
            - failed
            - needs_attention
            - cancelled
          title: Status
        phase:
          type: string
          title: Phase
        payload_hash:
          type: string
          title: Payload Hash
        destination_id:
          type: string
          title: Destination Id
        destination_label:
          type: string
          title: Destination Label
        expires_at:
          type: string
          format: date-time
          title: Expires At
        created_at:
          type: string
          format: date-time
          title: Created At
        confirmed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Confirmed At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        preview:
          $ref: '#/components/schemas/PublicationPreview'
        warnings:
          items:
            type: string
          type: array
          title: Warnings
        remote_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Remote Id
        permalink:
          anyOf:
            - type: string
            - type: 'null'
          title: Permalink
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
      type: object
      required:
        - id
        - creative_id
        - variant_index
        - action
        - platform
        - status
        - phase
        - payload_hash
        - destination_id
        - destination_label
        - expires_at
        - created_at
        - preview
      title: PublicationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicationPreview:
      properties:
        platform:
          type: string
          enum:
            - facebook
            - instagram
          title: Platform
        placement:
          type: string
          title: Placement
        kind:
          type: string
          enum:
            - image
            - video
          title: Kind
        media_url:
          type: string
          title: Media Url
        media_sha256:
          type: string
          title: Media Sha256
        content_type:
          type: string
          title: Content Type
        width:
          type: integer
          title: Width
        height:
          type: integer
          title: Height
        duration_s:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration S
        copy:
          $ref: '#/components/schemas/PublicationCopy'
      type: object
      required:
        - platform
        - placement
        - kind
        - media_url
        - media_sha256
        - content_type
        - width
        - height
        - copy
      title: PublicationPreview
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PublicationCopy:
      properties:
        caption:
          anyOf:
            - type: string
              maxLength: 2200
            - type: 'null'
          title: Caption
        primary_text:
          anyOf:
            - type: string
              maxLength: 5000
            - type: 'null'
          title: Primary Text
        headline:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Headline
        description:
          anyOf:
            - type: string
              maxLength: 5000
            - type: 'null'
          title: Description
        link_url:
          anyOf:
            - type: string
              maxLength: 2048
            - type: 'null'
          title: Link Url
        call_to_action:
          anyOf:
            - type: string
              maxLength: 80
            - type: 'null'
          title: Call To Action
      additionalProperties: false
      type: object
      title: PublicationCopy
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````